services:
    nelmio_security.flexible_ssl_listener:
        class: Nelmio\SecurityBundle\EventListener\FlexibleSslListener
        arguments:
            - '%nelmio_security.flexible_ssl.cookie_name%'
            - '%nelmio_security.flexible_ssl.unsecured_logout%'
            - '@event_dispatcher'
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onKernelRequest, priority: 20000 }
            - { name: kernel.event_listener, event: security.interactive_login, method: onLogin }
